variables:
    CONAN_CHANNEL: "snapshot"
    # Remotes to search for packages
    CONAN_REMOTES: "https://api.bintray.com/conan/noface/conan"


# Variables set by repository configuration
#    CONAN_REMOTES: "..."
#    CONAN_USERNAME: "..."
#    CONAN_LOGIN_USERNAME: "..."
#    CONAN_PASSWORD: "..."
#    CONAN_UPLOAD: "..."
#    CONAN_STABLE_BRANCH_PATTERN: "..."

.build-template: &build-template
    before_script:
        - sh -x ./ci/before_script.sh
    script:
        - python build.py

gcc-4.9:
    image: lasote/conangcc49
    variables:
        CONAN_GCC_VERSIONS: "4.9"
    <<: *build-template
    before_script:
        - sh -x ./ci/before_script.sh
        - sudo apt-get install -y g++ g++-multilib

gcc-5:
    image: lasote/conangcc5
    variables:
        CONAN_GCC_VERSIONS: "5"
    <<: *build-template

gcc-6:
    image: lasote/conangcc6
    variables:
        CONAN_GCC_VERSIONS: "6"
    <<: *build-template

gcc-7:
    image: lasote/conangcc7
    variables:
        CONAN_GCC_VERSIONS: "7"
    <<: *build-template

# DCE does not support clang (yet)

#clang-3.9:
    #image: lasote/conanclang39
    #variables:
        #CONAN_CLANG_VERSIONS: "3.9"
    #allow_failure: true
    #<<: *build-template

#clang-4.0:
    #image: lasote/conanclang40
    #variables:
        #CONAN_CLANG_VERSIONS: "4.0"
    #allow_failure: true
    #<<: *build-template
